#include "xc.h"

/** CONFIGURATION **************************************************/

        __CONFIG(FOSC_INTOSC & WDTE_OFF & PWRTE_OFF & MCLRE_ON & CP_OFF & BOREN_ON & CLKOUTEN_OFF);
        __CONFIG(WRT_OFF & STVREN_ON &  BORV_LO & LPBOR_OFF & LVP_OFF);

int main(void)
{
	TRISA = 0xdf;	// set only PORTA(RA5 pin) to output
					// "0" corresponds to "o"utput and "1" to "i"nput
	ANSELA= 0x00;	// set all RA to digital pin

	OPTION_REGbits.nWPUEN=0;	//weak pull-up enable
	WPUA=0x10;		//weak pull-up for RA4

	OSCCON=0x7A;	//16 MHz 0111 1010b

	INTCONbits.GIE=1;	//Global Interrupt Enable
 	INTCONbits.IOCIE=1;	//Interrupt-on-Change Enable
	IOCANbits.IOCAN4=1;	//Negative edge
	IOCAFbits.IOCAF4=0;	//Clear Interrupt Flag

	LATAbits.LATA5=0;	//RA5=0

	while(1);	//Loop
}

void interrupt isr(void){
	LATAbits.LATA5=!PORTAbits.RA5;
	IOCAFbits.IOCAF4=0;
}



